<?xml version="1.0" encoding="UTF-8"?>

<?import java.lang.*?>
<?import java.net.*?>
<?import javafx.geometry.*?>
<?import javafx.geometry.Insets?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import java.net.URL?>

<AnchorPane prefHeight="498.0" prefWidth="500.0" style="-fx-background-color: white;" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="ua.softserve.academy.kv030.FX.controllers.ShareFileController">
   <children>
         <VBox layoutX="93.0" layoutY="32.0">
             <children>
                 <Label prefWidth="169.0" styleClass="card-title" text="Share file" />
                 <Label alignment="TOP_LEFT" prefHeight="21.0" prefWidth="314.0" text="Select a group of users to share with" wrapText="true" />
                 <HBox prefHeight="40.0" prefWidth="314.0" spacing="20.0">
                     <children>
                         <Label fx:id="fileName" prefHeight="24.0" prefWidth="314.0" styleClass="control-label" />
                     </children>
                 </HBox>
                 <HBox prefHeight="46.0" prefWidth="314.0" spacing="10.0">
                     <padding>
                         <Insets top="16.0" />
                     </padding>
               <children>

                  <RadioButton fx:id="allUsersRadio" mnemonicParsing="false" onAction="#selectAll" text="All users">
                      <toggleGroup>
                          <ToggleGroup fx:id="TG1" />
                      </toggleGroup>
                  </RadioButton>

                  <RadioButton fx:id="listOfUsersRadio" mnemonicParsing="false" onAction="#selectSome" text="List of users" toggleGroup="$TG1" />
                  <Button fx:id="shareButton" mnemonicParsing="false" onAction="#shareFile" styleClass="button-raised" text="Share" />
               </children>
                 </HBox>
                 <Separator prefWidth="200.0">
                     <VBox.margin>
                         <Insets />
                     </VBox.margin>
                 </Separator>
             </children>
         </VBox>
   
       <Pane layoutX="75.0" layoutY="14.0" BorderPane.alignment="CENTER" />
      <ListView fx:id="listOfUsers" layoutX="111.0" layoutY="221.0" prefHeight="200.0" prefWidth="264.0" />
   </children> <stylesheets>

    <URL value="@../css/material-fx-v0_3.css" />
    </stylesheets>


</AnchorPane>
